Test and Measurement Forum

errors install picoscope on rpi 3

Discussion forum for the new Picoscope Linux software

errors install picoscope on rpi 3

Postby 1885 » Tue Aug 23, 2016 3:48 am

Any ideas?

Used the following:
https://www.picotech.com/downloads/linux

I'm using Jessie:
Linux raspberrypi 4.4.11-v7+ #888 SMP Mon May 23 20:10:33 BST 2016 armv7l GNU/Linux
Code: Select all
ERROR
# apt-get install picoscope
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
picoscope : Depends: picomono but it is not installable
E: Unable to correct problems, you have held broken packages.
1885
Newbie
 
Posts: 0
Joined: Tue Aug 23, 2016 3:21 am

Re: errors install picoscope on rpi 3

Postby Hitesh » Tue Aug 23, 2016 7:43 am

Hi 1885,

The PicoScope software is not available for Raspberry Pi platforms at this moment in time.

You can download the driver package for your device if you wish to develop your own application.

Regards,
Hitesh

Technical Support Engineer
Hitesh
Site Admin
Site Admin
 
Posts: 2387
Joined: Tue May 31, 2011 3:43 pm
Location: St. Neots, Cambridgeshire

Re: errors install picoscope on rpi 3

Postby 1885 » Tue Aug 23, 2016 10:33 pm

Hitesh wrote:Hi 1885,

The PicoScope software is not available for Raspberry Pi platforms at this moment in time.

You can download the driver package for your device if you wish to develop your own application.

Regards,

Thank you very much.

So If I have an Picoscope 2000 series USB scope and the Raspberry Pi drivers available.
Next question:
Is there any documentation of how I can capture data?
Using terminal commands?
Using c, c++, or python?
How can I use the drivers?
I searched https://labs.picotech.com/debian/ and found code but no doc.
Please throw me a bone. Thank You.
1885
Newbie
 
Posts: 0
Joined: Tue Aug 23, 2016 3:21 am

Re: errors install picoscope on rpi 3

Postby Hitesh » Wed Aug 24, 2016 10:11 am

Hi 1885,

Depending on the PicoScope 2000 Series device you are using, you can refer to one of the following Programmer's Guides:

PicoScope 2204A/2205A (libps2000 driver): https://www.picotech.com/download/manuals/picoscope-2000-series-programmers-guide.pdf

PicoScope 2206/7/8A & B, 2200 MSO & 2400A/B models: https://www.picotech.com/download/manuals/picoscope-2000-series-a-api-programmers-guide.pdf

I've attached some files containing C source code which you can use to develop your own application - please use the one corresponding to the driver for your PicoScope:

PS2000_C_Files.zip
PicoScope 2000 Series C Files for Linux
(13.84 KiB) Downloaded 79 times

PS2000A_C_Files.zip
PicoScope 2000 Series (A API) C Files for Linux
(16.73 KiB) Downloaded 81 times

If you require a Python example, please e-mail support@picotech.com.

Regards,
Hitesh

Technical Support Engineer
Hitesh
Site Admin
Site Admin
 
Posts: 2387
Joined: Tue May 31, 2011 3:43 pm
Location: St. Neots, Cambridgeshire

Re: errors install picoscope on rpi 3

Postby 1885 » Wed Aug 24, 2016 11:30 am

Thank You!
This is excellent!
1885
Newbie
 
Posts: 0
Joined: Tue Aug 23, 2016 3:21 am

Re: errors install picoscope on rpi 3

Postby mmatheny » Sat Oct 01, 2016 1:34 am

Did this work?

I thought that the current drivers are armhf and not arm64. Is there a way to get the drivers to work on an arm64 architecture?

-Matt
mmatheny
Newbie
 
Posts: 0
Joined: Tue May 12, 2015 12:41 am

Re: errors install picoscope on rpi 3

Postby Martyn » Sat Oct 01, 2016 3:03 pm

Sorry there are no arm64 drivers at present.
Martyn
Technical Support Manager
Martyn
Site Admin
Site Admin
 
Posts: 2687
Joined: Fri Jun 10, 2011 8:15 am
Location: St. Neots

Re: errors install picoscope on rpi 3

Postby silvia » Tue Feb 21, 2017 4:13 pm

Hitesh wrote:If you require a Python example, please e-mail support@picotech.com.


Hi Hitesh,

I also want to use the PicoScope on the RPi 3. After reading this thread I emailed support asking for Python examples but haven't heard back from them, could you help please? Thanks :)

Silvia
silvia
Newbie
 
Posts: 0
Joined: Fri Feb 17, 2017 3:16 pm

Re: errors install picoscope on rpi 3

Postby Hitesh » Wed Feb 22, 2017 9:41 am

HI Silvia,

I will send you an e-mail using the registered address for this forum - please check your junk/spam folder in case this is not received.

Regards,
Hitesh

Technical Support Engineer
Hitesh
Site Admin
Site Admin
 
Posts: 2387
Joined: Tue May 31, 2011 3:43 pm
Location: St. Neots, Cambridgeshire


Return to PicoScope for Linux

Who is online

Users browsing this forum: No registered users and 0 guests